UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lbm_rcv_transport_stats_t_stct Struct Reference

Structure that holds statistics for receiver transports. More...

`#include <lbm.h>`

## Data Fields
int | type
| Type of transport (e.g., LBM_TRANSPORT_STAT_TCP, LBM_TRANSPORT_STAT_LBTRM, etc.).
char | source [LBM_MSG_MAX_SOURCE_LEN]
| Source string of transport session. See Source String.
union {
lbm_rcv_transport_stats_tcp_t tcp
| The statistics for receiver TCP transports.
lbm_rcv_transport_stats_lbtrm_t lbtrm
| The statistics for receiver LBT-RM transports.
lbm_rcv_transport_stats_daemon_t daemon
| These statistics have been deprecated.
lbm_rcv_transport_stats_lbtru_t lbtru
| The statistics for receiver LBT-RU transports.
lbm_rcv_transport_stats_lbtipc_t lbtipc
| The statistics for receiver LBT-IPC transports.
lbm_rcv_transport_stats_lbtrdma_t lbtrdma
| The statistics for receiver LBT-RDMA transports.
lbm_rcv_transport_stats_lbtsmx_t lbtsmx
| The statistics for receiver LBT-SMX transports.
lbm_rcv_transport_stats_broker_t broker
| The statistics for receiver BROKER transports.
} | transport
| Union of type-specific transport stat structures.
char | _fill [LBM_EXTERNAL_STRUCT_FILL_SIZE]
| Unused field to artificially increase the size of the structure to ensure inter-version compatibility.

## Detailed Description

Structure that holds statistics for receiver transports.

This structure holds statistics for all receiver transports. The structure is filled in when statistics for receiver transports are requested.

Note that when stats are sampled, the fields in the structure are not necessarily from the same instant in time. The structure might be updated concurrently with it being sampled, and while each structure field is atomically read, the field values can be skewed slightly across time.

See lbm_rcv_transport_stats_t_stct for field definitions.

The documentation for this struct was generated from the following file:

- lbm.h